# Gimp.context_set_interpolation

    function context_set_interpolation(interpolation: Gimp.InterpolationType): Boolean {
        // Gjs wrapper for gimp_context_set_interpolation()
    }

Set the interpolation type.

Modifies the interpolation setting.

This setting affects affects the following procedures: Gimp.Item.prototype.transform_flip, Gimp.Item.prototype.transform_perspective, Gimp.Item.prototype.transform_rotate, Gimp.Item.prototype.transform_scale, Gimp.Item.prototype.transform_shear, Gimp.Item.prototype.transform_2d, Gimp.Item.prototype.transform_matrix, Gimp.Image.prototype.scale, Gimp.Layer.prototype.scale.

Since 2.8

interpolation

  The interpolation type.

Returns

  TRUE on success.